import type { FormSchema } from './types';
declare const BasicForm: import("vue").DefineComponent<{
    labelWidth: {
        type: import("vue").PropType<string | number>;
        default: string;
    };
    schemas: {
        type: import("vue").PropType<FormSchema<string, unknown, Record<string, any>>[]>;
        default: () => any[];
    };
    layout: {
        type: StringConstructor;
        default: string;
    };
    inline: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    size: {
        type: import("vue").PropType<import("./types/Rule").FormSize>;
        default: string;
    };
    labelPlacement: {
        type: import("vue").PropType<import("./types/Rule").LabelPlacement>;
        default: string;
    };
    gridProps: {
        type: import("vue").PropType<import("naive-ui").GridProps>;
        default: () => {
            cols: number;
            collapsed: boolean;
            xGap: number;
            yGap: number;
        };
    };
    giProps: {
        type: import("vue").PropType<import("naive-ui").GridItemProps>;
        default: () => {
            span: number;
        };
    };
    baseGridStyle: {
        type: import("vue").PropType<import("vue").CSSProperties>;
        required: boolean;
    };
    collapsed: {
        type: BooleanConstructor;
        default: boolean;
    };
    collapsedRows: {
        type: NumberConstructor;
        default: number;
    };
    loading: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    requireMarkPlacement: {
        type: import("vue").PropType<import("./types/Rule").RequiredMarkPlacement>;
        default: string;
    };
    colon: {
        type: import("vue").PropType<string>;
        default: any;
    };
    disabled: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    rules: {
        type: import("vue").PropType<{
            [schemaField: string]: import("naive-ui").FormItemRule | import("naive-ui").FormItemRule[];
        }>;
        default: any;
    };
    modelValueName: {
        type: import("vue").PropType<string>;
        default: string;
    };
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("schema-change" | "reset" | "clear-validate" | "register" | "validate-error" | "submit" | "collapse-change")[], "schema-change" | "reset" | "clear-validate" | "register" | "validate-error" | "submit" | "collapse-change", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    labelWidth: {
        type: import("vue").PropType<string | number>;
        default: string;
    };
    schemas: {
        type: import("vue").PropType<FormSchema<string, unknown, Record<string, any>>[]>;
        default: () => any[];
    };
    layout: {
        type: StringConstructor;
        default: string;
    };
    inline: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    size: {
        type: import("vue").PropType<import("./types/Rule").FormSize>;
        default: string;
    };
    labelPlacement: {
        type: import("vue").PropType<import("./types/Rule").LabelPlacement>;
        default: string;
    };
    gridProps: {
        type: import("vue").PropType<import("naive-ui").GridProps>;
        default: () => {
            cols: number;
            collapsed: boolean;
            xGap: number;
            yGap: number;
        };
    };
    giProps: {
        type: import("vue").PropType<import("naive-ui").GridItemProps>;
        default: () => {
            span: number;
        };
    };
    baseGridStyle: {
        type: import("vue").PropType<import("vue").CSSProperties>;
        required: boolean;
    };
    collapsed: {
        type: BooleanConstructor;
        default: boolean;
    };
    collapsedRows: {
        type: NumberConstructor;
        default: number;
    };
    loading: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    requireMarkPlacement: {
        type: import("vue").PropType<import("./types/Rule").RequiredMarkPlacement>;
        default: string;
    };
    colon: {
        type: import("vue").PropType<string>;
        default: any;
    };
    disabled: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    rules: {
        type: import("vue").PropType<{
            [schemaField: string]: import("naive-ui").FormItemRule | import("naive-ui").FormItemRule[];
        }>;
        default: any;
    };
    modelValueName: {
        type: import("vue").PropType<string>;
        default: string;
    };
}>> & {
    onReset?: (...args: any[]) => any;
    onSubmit?: (...args: any[]) => any;
    "onSchema-change"?: (...args: any[]) => any;
    "onClear-validate"?: (...args: any[]) => any;
    onRegister?: (...args: any[]) => any;
    "onValidate-error"?: (...args: any[]) => any;
    "onCollapse-change"?: (...args: any[]) => any;
}, {
    collapsed: boolean;
    collapsedRows: number;
    disabled: boolean;
    inline: boolean;
    size: import("./types/Rule").FormSize;
    colon: string;
    modelValueName: string;
    labelWidth: string | number;
    labelPlacement: import("./types/Rule").LabelPlacement;
    requireMarkPlacement: import("./types/Rule").RequiredMarkPlacement;
    schemas: FormSchema<string, unknown, Record<string, any>>[];
    layout: string;
    gridProps: {
        cols: number;
        collapsed: boolean;
        xGap: number;
        yGap: number;
    };
    giProps: {
        span: number;
    };
    loading: boolean;
    rules: {
        [schemaField: string]: import("naive-ui").FormItemRule | import("naive-ui").FormItemRule[];
    };
}, {}>;
export default BasicForm;
